Question types: Variable numeric set with units

qtype_varnumunit
Maintained by Tim at Lone Pine Koala SanctuaryTim Hunt, Picture of Phil ButcherPhil Butcher, Picture of Jamie PrattJamie Pratt
This question type can have randomly selected numbers, and the student's answer must include the correct unit. Unit grading is done using the pmatch algorithm.

Variable numeric set with units 1.0 for Moodle 2.3+

Release notes

Variable Numeric Set Question Type With Units
---------------------------------------------

The question type was created by Jamie Pratt (http://jamiep.org/) for
the Open University (http://www.open.ac.uk/).

This question type is compatible with Moodle 2.3+.

This question type requires the varnumericset question type to be installed. See:
https://github.com/moodleou/moodle-qtype_varnumericset/

To install using git for a 2.3+ Moodle installation, type this command in the root of your Moodle
install:

git clone git://github.com/moodleou/moodle-qtype_varnumunit.git question/type/varnumunit

Then add question/type/varnumunit to your git ignore.

Alternatively, download the zip from
https://github.com/moodleou/moodle-qtype_varnumunit/zipball/master
unzip it into the question/type folder, and then rename the new folder to varnumunit.

You may want to install Tim's stripped down tinymce editor that only allows the
use of superscript and subscript see
https://github.com/moodleou/moodle-editor_supsub. To install this editor using
git, type this command in the root of your Moodle install:

git clone git://github.com/moodleou/moodle-editor_supsub.git lib/editor/supsub

Then add lib/editor/supsub to your git ignore.

If the editor is not installed the question type can still be used but if it is
installed when you make a question that requires scientific notation then this
editor will be shown and a student can either enter an answer with the notation
1x10^5 where the ^5 is expressed with super script.
Moodle 2.3, 2.4

Version information

Version build number
2013031400
Version release name
1.0 for Moodle 2.3+
Can be updated to
1.1 for Moodle 2.5+ (2013070100), 1.2 for Moodle 2.5+ (2014010800), 1.3 for Moodle 2.6+ (2014111200)
Maturity
Stable version
MD5 Sum
db52c19b09461fa0e749bfe815136418
Supported software
Moodle 2.3, Moodle 2.4
  • This is the latest release for Moodle 2.3
  • This is the latest release for Moodle 2.4

Version control information

Version control system (VCS)
GIT
VCS repository URL
VCS branch
master
VCS tag
v1.0

Default installation instructions for plugins of the type Question types

  1. Make sure you have all the required versions.
  2. Download and unpack the module.
  3. Place the folder (eg "myquestiontype") in the "question/type" subdirectory.
  4. Visit http://yoursite.com/admin to finish the installation